/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package services.ejb;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.Local;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.MapMessage;
import javax.jms.Message;
import javax.jms.MessageListener;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

@Local
@MessageDriven(activationConfig = {
		@ActivationConfigProperty(propertyName="destinationType"
			, propertyValue="javax.jms.Queue"),
		@ActivationConfigProperty(propertyName="destination"
			, propertyValue="queue/replenish")
})
public class ReplenishmentProcessorBean implements MessageListener {

	private static Log log = LogFactory.getLog(ReplenishmentProcessorBean.class);;

	public ReplenishmentProcessorBean() {

	}

	public void onMessage(Message message) {

		MapMessage whatToReplenish = (MapMessage) message; 

		try {
			log.info(whatToReplenish.getLong("productId"));
			log.info(whatToReplenish.getLong("distributionCenterId"));
			log.info(whatToReplenish.getLong("backOrderQuantity"));
		} catch (JMSException jmsError) {
			log.error("Failed to retrieve properties from JMS MapMessage!", jmsError);
		}

	}

}
